 

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        <center>Siddharth Industries - User Management</center>
        
      </h1>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-xs-12 text-right">
                <div class="form-group">
                    <a class="btn btn-primary" href="<?php echo base_url(); ?>addNew">Add New</a>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
               
                  <table class="table table-hover table-bordered" id="datatable" style="background-color:#fff;font-size:12px;" >
				  <thead>
                    <tr>
                      <th>User Id</th>
                      <th>User Name</th>
                      <th>Email</th>
                      <th>Contact Number</th>
                      <th>Designation</th>
					  <th>Department</th>
						<th>Role Name</th>
                      <th>Actions</th>
                    </tr>
					</thead>
					<tbody>
                    <?php
                    if(!empty($userRecords))
                    {
                        foreach($userRecords as $record)
                        {
                    ?>
                    <tr>
                      <td><?php echo $record->userId ?></td>
                      <td><?php echo $record->FirstName ?></td>
                      <td><?php echo $record->EmailId ?></td>
                      <td><?php echo $record->ContactNumber ?></td>
                      <td><?php echo $record->Designation ?></td>
					  	  <td><?php echo $record->DepartmentName ?></td>
					  <td><?php echo $record->role ?></td>
                      <td>
                          <a href="<?php echo base_url().'user/editOld?UID='.$record->userId;?>"><i class="fa fa-pencil"></i>&nbsp;&nbsp;&nbsp;</a>
                          <a  onclick="deleteUser(<?php echo $record->userId;?>)"><i class="fa fa-trash"></i>&nbsp;&nbsp;&nbsp;</a>
                      </td>
                    </tr>
                    <?php
                        }
                    }
                    ?>
					</tbody>
                  </table>
                   
            </div>
        </div>
    </section>
</div>
<script type="text/javascript" src="<?php echo base_url(); ?>assets/js/common.js" charset="utf-8"></script>
<script type="text/javascript">
 
   
	$(function () {
   
    $('#datatable').DataTable({
      "paging": true,
      "lengthChange": true,
      "searching": true,
      "ordering": true,
      "info": true,
      "autoWidth": true
	   
    }); 
  });
	
 
	
	function deleteUser(userid)
	{
		var answer = confirm(" Do you want to delete the user from the List?")
		if (answer) 
		{ 	
		$.ajax({ 
			data:{id:userid},
			type:"POST",
			url:"<?php echo base_url() ?>user/deleteUser", 
			success:function(data) {
			if(data)
			{
				$('#content').loader('hide'); 
				alert(data);
								
				 location.reload();	
				
			
			}
			else
			{
				alert("Error");	
			}			
		
		}}); 
		}
	}
</script>

